Skip to main content
POST
/
action
/
meeting_prep_process_contact_research
[P5] Process Contact Research
curl --request POST \
  --url https://api-lr.agent.ai/v1/action/meeting_prep_process_contact_research \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contact_research_results": "{{contact_research_results}}",
  "classified_attendees": "{{classified_attendees}}",
  "target_company_identity": "{{target_company_identity}}",
  "processed_gcal_event": "{{processed_gcal_event}}",
  "user_email": "{{_google_email}}",
  "output_variable_name": "processed_research"
}
'
{
  "status": 123,
  "response": {}
}

Authorizations

Authorization
string
header
required

Bearer token from your account (https://agent.ai/user/integrations#api)

Body

application/json
contact_research_results
string
default:{{contact_research_results}}
required

The results from the Contact Research action.

classified_attendees
string
default:{{classified_attendees}}
required

The classified attendees with metadata.

target_company_identity
string
default:{{target_company_identity}}
required

Target company info from Prepare Meeting Contacts. Use {{prepared_contacts.target_company}}.

processed_gcal_event
string
default:{{processed_gcal_event}}
required

The processed calendar event data.

user_email
string
default:{{_google_email}}
required

Current user's email address.

output_variable_name
string
default:processed_research
required

Variable name to store processed research.

Pattern: ^[a-zA-Z][a-zA-Z0-9_]*$

Response

Successful response

status
integer<int32>

HTTP status code of the action response

response
object

Response data from the action